package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.SysSystemDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 系统表 服务类
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@RestMappingController("sys-system")
public interface SysSystemService {

    /**
     * 添加系统
     *
     * @param save
     * @return
     */
    @PostMapping("save")
    R<Long> save(@RequestBody @Validated SysSystemDto.Save save);

    /**
     * 修改系统
     *
     * @param update
     * @return
     */
    @PostMapping("update")
    R update(@RequestBody @Validated SysSystemDto.Update update);

    /**
     * 登录人所属系统列表
     *
     * @param select
     * @return
     */
    @PostMapping("list")
    R<List<SysSystemDto.Vo>> list(@RequestBody SysSystemDto.Select select);

    /**
     * 分页查询
     *
     * @param pageSelect
     * @return
     */
    @PostMapping("page")
    R<PageBean<SysSystemDto.Vo>> page(@RequestBody @Validated SysSystemDto.PageSelect pageSelect);

    /**
     * 删除系统
     *
     * @return
     */
    @PostMapping("del")
    R del(@RequestBody @Validated SysSystemDto.Del del);
}
